<?php
/**
 * The template for displaying 404 pages (not found).
 *
 */

get_header(); ?>

<!-- HEADER TITLE BREADCRUBS SECTION -->
    <?php echo wp_kses_post(meraki_header_title_breadcrumbs()); ?>

<?php 
// Theme Init
$theme_init = new meraki_init_class;
if($theme_init->meraki_get_page_404_template_variant() == 'page_404_v1_center'){
	$alignment = 'text-right';
	$grid_class = 'col-md-12';
}
?>

	<!-- Page content -->
	<div id="primary" class="content-area">
	    <main id="main" class="container blog-posts site-main">
	        <div class="col-md-12 main-content">
				<section class="error-404 not-found">
					<header class="page-header-404">
						<div class="high-padding row">
							<div class="col-md-12">
								<div class="row">
									<div class="col-md-6">
										<h2 class="page-title"><?php esc_html_e( 'Sorry, this page does not exist', 'meraki' ); ?></h2>
										<p class="text-left"><?php esc_html_e( 'Oops, something went wrong! The link you clicked might be corrupted, or the page may have been removed.', 'meraki' ); ?></p>
										<a class="vc_button_404" href="<?php echo esc_url(get_site_url()); ?>"><?php esc_html_e( 'Back to Home', 'meraki' ); ?></a>
									</div>
									<div class="col-md-6 error-404-img">
										<img src="<?php echo esc_url(get_template_directory_uri().'/images/404.png'); ?>" alt="<?php esc_attr_e( '404 Not Found', 'meraki' ); ?>" />
									</div>
								</div>
							</div>
						</div>
					</header>
				</section>
			</div>
		</main>
	</div>

<?php get_footer(); ?>