<?php
/**
* Content Single
*/
$prev_post = get_previous_post();
$next_post = get_next_post();

$breadcrumbs_on_off = get_post_meta( get_the_ID(), 'breadcrumbs_on_off', true );
?>


<!-- HEADER TITLE BREADCRUBS SECTION -->
<?php 
if ( function_exists('modeltheme_framework')) {
    if (isset($breadcrumbs_on_off) && $breadcrumbs_on_off == 'yes' || $breadcrumbs_on_off == '') {
        echo meraki_header_title_breadcrumbs();
    }
}else{
    echo wp_kses_post(meraki_header_title_breadcrumbs());
}

// BEGIN_WP5
$select_post_layout = get_post_meta( get_the_ID(), 'select_post_layout', true );
$select_post_sidebar = get_post_meta( get_the_ID(), 'select_post_sidebar', true );
$sidebar = 'sidebar-1';
if ( function_exists('modeltheme_framework')) {
    if (isset($select_post_sidebar) && $select_post_sidebar != '') {
        $sidebar = $select_post_sidebar;
    }else{
        $sidebar = meraki_redux('mt_single_blog_layout_sidebar');
    }
}
$cols = 'col-md-12 col-sm-12';
$sidebars_lr_meta = array("left-sidebar", "right-sidebar");
if (isset($select_post_layout) && in_array($select_post_layout, $sidebars_lr_meta)) {
    $cols = 'col-md-8 col-sm-8 status-meta-sidebar';
}elseif(isset($select_post_layout) && $select_post_layout == 'no-sidebar'){
    $cols = 'col-md-12 col-sm-12 status-meta-fullwidth';
}else{
    if(class_exists( 'ReduxFrameworkPlugin' )){
        $sidebars_lr_panel = array("mt_single_blog_left_sidebar", "mt_single_blog_right_sidebar");
        if (in_array(meraki_redux('mt_single_blog_layout'), $sidebars_lr_panel)) {
            $cols = 'col-md-8 col-sm-8 status-panel-sidebar';
        }else{
            $cols = 'col-md-12 col-sm-12 status-panel-no-sidebar';
        }
    }
}
// END_WP5
?>


<article id="post-<?php the_ID(); ?>" <?php post_class('post high-padding spacing_mobile_40 spacing_tablets_60'); ?>>
    <div class="container">
       <div class="row">

            <?php // BEGIN_WP5 ?>
            <?php if (isset($select_post_layout) && $select_post_layout == 'left-sidebar') { ?>
                <div class="col-md-4 col-sm-4 sidebar-content sidebar-left">
                    <?php if (is_active_sidebar($sidebar)) { ?>
                        <?php dynamic_sidebar($sidebar); ?>
                    <?php } ?>
                </div>
            <?php }else{ ?>
                <?php if (isset($select_post_layout) && $select_post_layout == 'inherit') { ?>
                    <?php if(class_exists( 'ReduxFrameworkPlugin' )){ ?>
                        <?php if ( meraki_redux('mt_single_blog_layout') == 'mt_single_blog_left_sidebar') { ?>
                            <div class="col-md-4 col-sm-4 sidebar-content sidebar-left">
                                <?php if (is_active_sidebar($sidebar)) { ?>
                                    <?php dynamic_sidebar($sidebar); ?>
                                <?php } ?>
                            </div>
                        <?php } ?>
                    <?php } ?>
                <?php } ?>
            <?php } ?>
            <?php // END_WP5 ?>


            <!-- POST CONTENT -->
            <div class="<?php echo esc_attr($cols); ?> main-content">
                
                <!-- HEADER -->
                <div class="article-header">
                    <div class="article-details">

                        <?php $thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ),'meraki_blog_900x550' ); 
                        if($thumbnail_src) { ?>
                            <?php the_post_thumbnail( 'meraki_blog_900x550' ); ?>
                        <?php } ?>
                        <div class="clearfix"></div>

                        <h1 class="post-title">
                            <strong><?php echo esc_html(get_the_title()); ?></strong>
                        </h1>

                        <div class="post-category-comment-date row">
                            <span class="post-date">
                                <i class="icon-calendar"></i>
                                <?php echo esc_html(get_the_date()); ?>
                            </span>
                            <span class="post-categories">
                                <?php echo wp_kses_post(get_the_term_list( get_the_ID(), 'category', ' <i class="icon-tag"></i> ', ', ' )); ?>
                            </span> 
                        </div>

                    </div>
                </div>
                <!-- CONTENT -->
                <div class="article-content">
                    <?php the_content(); ?>
                    <div class="clearfix"></div>

                    <?php
                        wp_link_pages( array(
                            'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'meraki' ),
                            'after'  => '</div>',
                        ) );
                    ?>
                    <div class="clearfix"></div>


                    <?php if (get_the_tags() || function_exists('mtlisitings_framework')) { ?>

                        <div class="separator-single-post"></div>

                        <div class="row post-tags-n-share">
                            
                            <div class="col-md-8">
                                <?php if (get_the_tags()) { ?>
                                    <div class="single-post-tags">
                                        <span><?php echo esc_html__('Tags:','meraki'); ?></span> <?php echo wp_kses_post(get_the_term_list( get_the_ID(), 'post_tag', '', ' ' )); ?>
                                    </div>
                                <?php } ?>
                            </div>

                            <?php if ( function_exists('mtlisitings_framework')) { ?>
                                <div class="col-md-4 text-right">                           
                                    <div class="single_list_share_this">
                                      <div class="list_share_this">
                                        <span><?php esc_html_e('Share this','meraki'); ?><i class="fa fa-share-alt"></i></span>
                                      </div>
                                      <?php modeltheme_content_single_share(); ?>                                        
                                    </div>                            
                                </div>
                            <?php } ?>                      
                        </div>

                    <?php } ?>    

                    <?php if ( meraki_redux('mt_enable_related_posts') ) { ?>

                        <div class="separator-single-post-comments"></div>

                        <div class="clearfix"></div>
                        <div class="related-posts sticky-posts">
                            <?php
                            global  $post;  
                            $orig_post = $post;  
                            $tags = wp_get_post_tags($post->ID);  
                            ?>

                            <h2 class="heading-bottom"><?php esc_html_e('Related Posts', 'meraki'); ?></h2>
                            <div class="row">
                                <?php

                                

                                $args=array(  
                                    'post__not_in'          => array($post->ID),  
                                    'posts_per_page'        => 2, // Number of related posts to display.  
                                    'ignore_sticky_posts'   => 1  
                                );  

                                $my_query = new wp_query( $args );  

                                while( $my_query->have_posts() ) {  
                                    $my_query->the_post(); 

                                    $content_post   = get_post($post->ID);
                                    $content        = $content_post->post_content;
                                    $content        = apply_filters('the_content', $content);
                                    $content        = str_replace(']]>', ']]&gt;', $content);
                                
                                ?>  
                                    <div class="col-md-6 post">
                                        <div class="related_blog_custom">
                                            <?php $thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ),'meraki_related_post_pic500x300' ); ?>
                                            <?php if($thumbnail_src){ ?>
                                            <a href="<?php echo esc_url(get_the_permalink()); ?>" class="relative">
                                                <?php if($thumbnail_src) { ?>
                                                    <img src="<?php echo esc_url($thumbnail_src[0]); ?>" class="img-responsive" alt="<?php esc_attr(the_title_attribute()); ?>" />
                                                <?php } ?>
                                            </a>
                                            <?php } ?>
                                            <div class="related_blog_details">
                                                <?php $tags = get_the_term_list( $post->ID, 'post_tag', '', ', ' );
                                                if (!empty($tags)) { ?>
                                                   <span class="post-tags-list"> <?php echo wp_kses_post($tags); ?></span>
                                                <?php } ?>
                                                <h4 class="post-name"><a href="<?php echo esc_url(get_the_permalink()); ?>"><?php the_title(); ?></a></h4>           
                                                <?php if ( function_exists('modeltheme_framework')) { ?>
                                                    <div class="post-excerpt row">
                                                        <?php echo modeltheme_excerpt_limit($content, 12); ?>
                                                    </div>
                                                <?php } ?>
                                                <div class="post-author"><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) )); ?>"><?php echo esc_html(get_the_author()); ?></a></div>
                                            </div>
                                        </div>
                                    </div>

                                <?php 
                                } ?>
                            </div>
                        </div>
                        <?php 
                        wp_reset_postdata();  
                        ?>  

                    <?php } ?>

                   
                    

                    <!-- COMMENTS -->
                    <?php
                        // If comments are open or we have at least one comment, load up the comment template
                        if ( comments_open() || get_comments_number() ) { ?>

                            <div class="separator-single-post-comments"></div>

                            <?php comments_template();
                        }
                    ?>
                </div>
            </div>

            <?php // BEGIN_WP5 ?>
            <?php if(class_exists( 'ReduxFrameworkPlugin' )){ ?>
                <?php if (isset($select_post_layout) && $select_post_layout == 'right-sidebar') { ?>
                    <div class="col-md-4 sidebar-content sidebar-right">
                        <?php if (is_active_sidebar($sidebar)) { ?>
                            <?php dynamic_sidebar($sidebar); ?>
                        <?php } ?>
                    </div>
                <?php }elseif(isset($select_post_layout) && $select_post_layout == 'inherit') { ?>
                    <?php if ( meraki_redux('mt_single_blog_layout') == 'mt_single_blog_right_sidebar') { ?>
                        <div class="col-md-4 sidebar-content sidebar-right">
                            <?php if (is_active_sidebar($sidebar)) { ?>
                                <?php dynamic_sidebar($sidebar); ?>
                            <?php } ?>
                        </div>
                    <?php } ?>
                <?php } ?>
            <?php } ?>
            <?php // END_WP5 ?>
            
        </div>
    </div>
</article>