<?php 
defined( 'ABSPATH' ) || exit;

/*
 * Return fallback plugin version by slug
 * @param string plugin_slug
 * @return string plugin version by slug
 */
function meraki_fallback_plugin_version($plugin_slug = ''){
    $plugins = array(
        "js_composer" => "7.5",
        "modeltheme-framework-meraki" => "1.2.1",
        "modeltheme-listings-manager-meraki" => "1.2.1",
    );

    return $plugins[$plugin_slug];
}


/*
 * Return plugin version by slug from remote json
 * @param string plugin_slug
 * @return string plugin version by slug
 */
function meraki_plugin_version($plugin_slug = ''){

    $request = wp_remote_get('https://modeltheme.com/json/plugin_versions.json');
    $plugin_versions = json_decode(wp_remote_retrieve_body($request), true);

    if( is_wp_error( $request ) ) {
        return meraki_fallback_plugin_version($plugin_slug);
    }else{
        return $plugin_versions[0][$plugin_slug];
    }

}